2cc TrainsInNML changelog
=========================
2.0-alpha1 (19/04/2016)
-----------------------
- Add: Simplified Chinese translation by dirace (closes #7529)
- Change #7750: Long vehicle template changed
- Change: Ignore the NML cache files
- Change: Long vehicle template (closes #7750)
- Change: Minimum compatible version increased (closes #7508)
- Cleanup: Remove duplicate vehicle (closes #7605)
- Close New vehicles branch
- Codechange: Set loadingspeeds from central file
- Doc: Small change to the readme ( closes #7731 )
- Feature #7627: Iron Duke availability increase
- Feature #7707: Changed graphics and length for the DB VT98 (Graphics by Emperor Jake)
- Feature #7707: New graphics by Emperor Jake
- Feature #7707: New sprites for old vehicles (graphics by Emperor Jake)
- Feature #7707: New sprites for old vehicles (Graphics by Emperor Jake)
- Feature #7710: Loading speed parameter
- Feature #7713: New vehicles (Graphics by Voyager One and Emperor Jake)
- Feature #7733: Separate graphics for MU wagons of different types (graphics by Voyager One)
- Feature #7757: FS ALn 668 is a diesel railbus instead of a DMU
- Feature #7812: New vehicles (Graphics by Voyager One)
- Feature: Code and graphics for new vehicles (not yet included) (issue #7813)
- Feature: kkStB 4.0 goods railbus (closes #7607)
- Feature: Maglev railbus (closes #7729)
- Feature: More vehicles (graphics by Voyager One) (closes #6804)
- Feature: New vehicles (Graphics by Emperor Jake and Simozzz (issue #7713)
- Feature: Split DB ET479 into the Buckower Kleinbahn and DB 479.2 (Graphics by Voyager One) (closes #7694)
- Feature: Various sprite replacements for old sprites ( issue #7707 and closes #7741 )
- Fix #6980: Missing animations
- Fix #7509: OBB 1161 used NS 600 sprites
- Fix #7592 and #7610: Naming of various vehicles
- Fix #7602: various graphical fixes
- Fix #7604: Not all steamers have tenders, so also don't code those
- Fix #7606: CD 814 capacity was too high
- Fix #7608: SBB AM 4/6 running costs
- Fix #7620: Metro depot sprite alignment
- Fix #7626: DB E91 was coded as animated while no sprites were provided
- Fix #7628: 4-6-0 running costs
- Fix #7628: RZD Emch-3 missing animation sprites
- Fix #7638: AGV costs were switched
- Fix #7639: Remove duplicate vehicles
- Fix #7642: CD M131 alignment in N-S directions
- Fix #7680: DB VT42 should be the Austrian OBB VT42
- Fix #7681: Croatian flag (Graphics by Purno)
- Fix #7682: Gravita 10BB properties were incorrect
- Fix #7708: Electrified vehicles were available on non-electrified tracks
- Fix #7709: Various vehicle lengths were coded incorrectly
- Fix #7729: Maglev railbus ID changed
- Fix #7745: Saxon DET 1-2 should produce Diesel smoke
- Fix #7751: Diesels and Electric were coded as steamers, while DMUs were coded as EMUs
- Fix #7752: Belarus is in eastern Europe
- Fix #7752: Some vehicles were available in the wrong region
- Fix #7753: Changed graphics for the CD 534.1 (Graphics by Emperor Jake)
- Fix #7758: Railbus vehicle lifes were set wrong
- Fix #7835: Diesel tilt train introduction date
- Fix #7836: Pacific National XR B-unit
- Fix #7837: MUs had the wrong livery overrides for MU-wagons
- Fix #7838: Brasil region was set wrong
- Fix #7840: Romania CFR58 region was incorrect
- Fix #7857: FEVE 2400 alignment
- Fix #7858: China Railways QJ Tender was not coded
- Fix #7911: Some DMUs had electric sparks
- Fix #7921: Missing smoke on B-units
- Fix #7964: Turbobus properties were wrong (also for issue #7729)
- Fix #8003: Changed introduction date for the MU wagons
- Fix r474: Auto-refit got broken (closes #7507)
- Fix r511: Some EMUs were set to Electric
- Fix r521: Wrong folder for OBB 1161
- Fix r526: Also point to the right switches for the CD 814
- Fix r595: Iron Duke model life should be increased, not vehicle life
- Fix: Corrected tractive effort for HXD1D
- Fix: Gen 1 Boxcar not available in all reagions
- Fix: PRR RF 16 Sharknose had wrong length
- Fix: PRR RF 16 Sharknose has a B unit instead of an articulated part
- Fix: Set climate of obsolete vehicles to none
- Merge: New features and translations
- Merge: Translations
- Merge: Translations
- Merge: Translations
- Merge: Translations again...
- Merge: Translations and local changes
- Merge: Translations from webtranslator
- Revert r680: Add China Railways 6K back (closes #7639)
- Update: Some naming changes
- Update: Translations from webtranslator

1.0 (14/02/2015)
----------------
- Doc: Dates are really difficult for changelogs
- Doc: Update to readme
- Fix #7461: HZ 1141 properties
- Fix #7462: HZ 1141 and TCD E52500 were the same, removed TCD and used graphics for HZ
- Fix #7465: Some trains were mislabeled
- Fix r483: Also set the climate availability to none for the obsolete TCDD 52500
- Fix: Changelog should have 2015 of course
- Fix: DB 185 TRAXX naming
- Merge: Some unpushed changes caused branching
- Update: Translations from webtranslator

1.0-RC2 (07/02/2015)
--------------------
- Change: DB 145 changed to DB 185 TRAXX (closes #7375)
- Doc: Someone deserves a thank you
- Feature: Further refinements of coach properties (issues #7359 and #7373)
- Fix #7358: Some changes to passenger coach properties
- Fix #7362: Wrong template used for mail coaches in AGVs
- Fix #7373: Wagon property refinements
- Fix #7427: Mixing of MUWAGS was possible when track sets allowed multi-powered lines
- Fix: Speedmail coach carried passengers instead of mail
- Update: Translations from webtranslator

1.0-RC1 (06/12/2014)
----------------------
- Change: File rename and Generation 1 Open Wagon with gray cargo (closes #7253)
- Change: Vehicles with length 10 are now defined as 8-2 instead of 3-4-3, as there were graphical issues in depots (closes #7206)
- Codechange: Add SAB3 railtype label to Metro railtypetable-entry (closes #7262)
- Codechange: Remove obsolete vehicles
- Codechange: Updated cargotable
- Feature #7164: Support for Toyland, FIRS, ECS and YETI (also closes #7268)
- Feature #7194: Changed costs for engines and metros
- Feature #7194: Changed costs for wagons and coaches
- Feature #7207: Enable auto-refitting at stations (closes #7207)
- Feature: Changed costs for all vehicles excluding coaches and wagons (issue #7194)
- Feature: Different graphics for the Russia RZD M62 (grapics by Colossal404)
- Feature: Modified properties for most passenger coaches (issue #7040)
- Feature: More animated vehicles (Graphics by Emperor Jake and Voyager One) (issue #6980)
- Feature: Type 2 boxcars for Gen2, Gen3 and Gen4 (graphics by Emperor Jake) (closes #7133)
- Fix #7233: AGV sprite order was switched for N and S driving vehicles.
- Fix #7252: Cargo capacity callback for cargo wagons to prevent capacity from changing depending on cargo.
- Fix #7308: Set service car capacity to 0 as it resulted in the car carrying passengers (also closes #7310)
- Fix: Alignments of several vehicles (closes #7231 and #7232)
- Fix: Electric vehicle track type was not set to ELRL
- Fix: Template for vehicles with length 10 was wrong
- Fix: Vehicle ID for Gen1 Boxcar was not properly set
- Update: Translations from webtranslator

1.0-beta5 (26/09/2014)
----------------------
- Codechange: Also disable all wagons when no region is selected (closes #7159)
- Codechange: Prepare for inclusion of regional and concept parameter
- Codechange: Rename some things in preparation of issue #7133
- Codechange: Some helper regions for Wagon availability in preparation of issue #7133
- Doc: Updated readme
- Feature: Additional wagons that depend on active regions (Graphics by Voyager One and Emperor Jake) (issue #7133)
- Feature: Regional parameter for Diesel Railbusses
- Feature: Regional parameter for Diesels
- Feature: Regional parameter for DMUs
- Feature: Regional parameter for Electric Railbusses
- Feature: Regional parameter for Electrics
- Feature: Regional parameter for EMUs
- Feature: Regional parameter for Maglevs
- Feature: Regional parameter for Metros
- Feature: Regional parameter for several cargo wagons (issue #7133)
- Feature: Regional parameter for Steam Railbusses
- Feature: Regional parameter for Steamers
- Feature: Regional parameter now also works for Coaches
- Feature: Service car/caboose (Graphics by Voyager One) (closes #7133)
- Feature: Some additional error checking
- Fix #7108: DSB E tender was missing
- Fix #7110: Filename caused warnings during compilation
- Fix #7112: Steamer smoke missing
- Fix #7138: China Transrapid mail livery fix (Thanks to Digitalfox for fix)
- Fix #7167: SJ X2000 sprites were inconsistent
- Fix #7168: No warning was shown when no region was selected
- Fix #7186: BR Class 67 speed increased to 200 km/h
- Fix r338: Engine name typo
- Fix r347: Also update the base .pnml file when changing filenames
- Fix r354: Rename some things
- Fix r355: Australian Diesels became unavailable
- Fix r355: Regional parameter not working for some Diesels because of climates_available still being set to ALL_CLIMATES
- Fix r357: Typos in files
- Fix r380: Set disabled itself even with regions enabled because of missing parentheses in #defines
- Fix r386: Disable NewGRF when no regions are activated and better wording for error message
- Fix: Brazil is with a z and not with an s
- Fix: Some vehicles that were not included for no reason (Graphics by Voyager One and Emperor Jake)
- Fix: TEP150 was no longer available
- Fix: Various diesels were no longer available
- Update: Translations from webtranslator

1.0-beta4 (09/09/2014)
----------------------
- Codechange: ID ranges are now #defined in one file
- Feature #7054: Vehicles redrawn as 10/8 (Graphics by Voyager One and Emperor Jake)
- Feature/Fix #7057: Prohibit coupling of Unit Wagons to engines and regular wagons to MUs
- Fix #7058: MUWAG graphics when depending on location in consist no longer consider other MUWAGS as different vehicle
- Fix #7082: 4-4-0 Engine length
- Fix #7084: mDDM alignment
- Fix #7085: CP 2500 flashing pixels in flag
- Fix #7086: 4-6-0 Ten wheeler length
- Fix #7104: Transrapid alignment (Thanks to Digitalfox for fix)
- Fix r300: ETR300 Settebello capacity was different in item and graphics file
- Fix r316: Modified sprites for JR EH500 (closes #7056)
- Fix r330: Fix compatibility
- Fix r334: Make the old 4-6-0 Ten wheeler unavailable
- Update: Translations from webtranslator

1.0-beta3 (30/08/2014)
----------------------
- Feature: Purchase menu text for unit wagons (issue #7057)
- Fix #7055: FS 895 flag used company color
- Fix r278: DMU vehicle IDs (issue #7052)
- Fix: JR EH500 alignment (issue #7056)
- Fix: RZD VL85 rear engine sprite was reversed (issue #7052)
- Fix: Talgo purchase sprites
- Update: Translations from webtranslator

1.0-beta2 (28/08/2014)
----------------------
- Fix #7046: Vehicle sort order and IDs due to wrong names
- Fix #7047: Cargo wagon properties


1.0-beta1 (28/08/2014)
----------------------
- Add: Base .pnml file
- Add: Code for graphics templates (from the original 2cc Trainset)
- Add: Code for MU Wagons (not yet active)
- Add: docs
- Add: English language file
- Add: Header
- Add: Railtypetable, cargotable and cargorefit-file
- Add: The ability to use a Makefile.local file
- Change: Filename Unpowered Unit Wagon
- Cleanup: BR 77 code, vehicle is already included as BR 77 Metrovic (closes #6844)
- Codechange: Clean-up template.pnml
- Codechange: Different running cost classes for engines and wagons
- Codechange: Disable nightly builds, as they are failing and redundant with push builds
- Codechange: Prepare cargorefits.pnml-file for vehicles that only transport passengers (Metros for example)
- Codechange: Some filenames were wrong
- Codechange: Templates for Unit wagons
- Codechange: The MU-wagons should be in the folders for Coaches
- Codechange: Unit wagons should be loaded before the engines they are the unit for
- Doc: Small update on the readme
- Doc: Small update to the readme.
- Doc: Some small updates to the readme
- Doc: Updated Readme
- Doc: Updated readme
- Feature #6845: Updated flags and names for vehicles from countries no longer existing
- Feature: .pnml to set the Vehicle IDs from one file, for future compatibility reasons
- Feature: 4 early metros (Graphics by Purno and Voyager One)
- Feature: Afrikaans translation (thanks to telanus)
- Feature: All metros from the old set (Graphics by Voyager One and Purno)
- Feature: Cargo wagons (Graphics by Emperor Jake and Voyager One)
- Feature: Correct TE Coefficient for DMUs (issue #7013)
- Feature: Correct TE Coefficient for EMUs (issue #7013)
- Feature: Correct TE Coefficient for engines (issue #7013)
- Feature: Correct TE Coefficient for Multi-unit Metros (closes #7013)
- Feature: Correct TE Coefficient for Railbusses (issue #7013)
- Feature: Correct TE Coefficient for Single Unit Metros (issue #7013)
- Feature: Cost parameters (Code from the Dutch Train Set)
- Feature: CPR Royal Hudson steamer (Graphics by DanMacK)
- Feature: Diesel engines (Graphics by Voyager One, Purno, Emperor Jake, Colossal404, uzurpator, trainboy2004)
- Feature: Diesel railbuses (Graphics by Voyager One, Purno, Emperor Jake)
- Feature: DMUs (Graphics by Voyager One, Purno and Emperor Jake)
- Feature: Electric engines (Graphics by Voyager One, Purno, Emperor Jake, DanMacK, uzurpator)
- Feature: Electric Railbus vehicles (Graphics by Purno (DB ET479) and Voyager One (others))
- Feature: EMUs (Graphics by Purno, Voyager One, Emperor Jake, DanMack, trainboy2004)
- Feature: Maglev and Steam Railbus vehicles (Grapics by Voyager One)
- Feature: Maglev unit wagon
- Feature: Make Maglev trains dual headed
- Feature: More animated vehicles (Graphics by Voyager One) (issue #6980)
- Feature: Passenger and Mail coaches (Graphics by Emperor Jake (Talgo Pendular) and Voyager One (others))
- Feature: Powered Unit Wagon code
- Feature: Powered Unit Wagon livery overrides for Maglev
- Feature: Purchase template for dual headed trains
- Feature: Redrawn vehicles from the old set (Graphics by Voyager One) (issue #6957)
- Feature: Reduce base wagon running costs and close branch
- Feature: Serbian translation as suggested by Voyager One
- Feature: Single unit metros (Graphics by Purno)
- Feature: Some cost rebalancing
- Feature: Some missing diesel engines from the old set (Graphics by Voyager One) (issue #6957)
- Feature: Some missing electric engines from the old set (Graphics by Voyager One and Purno) (closes #6957)
- Feature: Some missing steamers from the old set (Graphics by Voyager One) (issue #6957)
- Feature: Some more metros (Graphics by Purno and Voyager One)
- Feature: Some small updates to the readme
- Feature: Steam engines (Graphics by Voyager One) and code for some engines that cannot be included yet
- Feature: Steamer animations (issue #6980)
- Feature: Template for vehicles with Length 10
- Feature: Unpowered Maglev Unit Wagon
- Feature: Unpowered Metro Unit Wagon code
- Feature: Updates to header.pnml: depot window fix, setting some base costs
- Fix #6736: SSB Cfe 3/3 back lights no longer flash.
- Fix #6750: Oslo metros were arranged incorrectly, showing incorrect sprites for back end
- Fix #6934: MPC VL15 power
- Fix #6937: rename CNR LRC to VIA Rail LRC
- Fix #6938: Some engines had their cost factor set to 0.
- Fix #6939: TGV Alignments (also fixes #6940)
- Fix #6941: AGV and AGV Duplex wagon graphics for the first and last wagon were switched
- Fix #6942: B-units were not behaving correctly.
- Fix #6943: MTAB Dm3 articulated parts did not show up properly when buying engine
- Fix #6944: DB ICE 3 length
- Fix #6947: Amsterdam Type M1 length
- Fix #6948: Correct flag for the EFVM ML4000
- Fix #6949: SNCF BB 26000 length
- Fix #6950: Amtrak P42 2nd part was flipped
- Fix #6952: NSB BM73 pantograph was missing
- Fix #6952: Pantograph for the ETR300 Settebello not showing
- Fix #6953: Russia 81-740 length
- Fix #6954: SBB RABe 523 length
- Fix #6955: Correct introduction dates for Passenger coaches.
- Fix #6956: Some properties of the Prussian S10 were wrong
- Fix #6965: Horizon Baggage Coach still carried passengers
- Fix #6965: Mail wagons carried passengers
- Fix #7023: Cargo capacity BR Class 168
- Fix #7036: ETR300 Settebello capacity
- Fix #7046: Vehicle sort order and IDs due to wrong names
- Fix r0: missing .hgignore
- Fix r10: Steam offset for Steam railbus vehicles
- Fix r11: Wrong offset Maglev Unit Wagon
- Fix r156: Running costs and engine class were set to Diesel for EMUs
- Fix r2: Some template fixes
- Fix r263, r264, r265: Vehicle sort
- Fix r263: Length-switch for the Big Boy was wrong for the tender part
- Fix r276: Some white pixels in some graphics
- Fix r276: Vehicle sort errors due to old/wrong names being used
- Fix r28 and r29: Metro Unit Wagons should only transports passengers
- Fix r29: Powered Wagon graphics
- Fix r295: Also update base costs
- Fix r332: Also remove those spaces from other files
- Fix/Change: [Makefile] Executable mode for findversion.sh
- Fix: Alignment of short vehicles and flashing pixels (closes #6748, #6749 and #6751)
- Fix: EMU Names contained spaces
- Fix: Flashing pixels in several sprites (Thanks to juzza1 for converting all sprites)
- Fix: Gen 4 Centerbeam length
- Fix: LNER A4 tender length (issue #6985)
- Fix: MPC P36 tender length
- Fix: NSB BM65 length
- Fix: Paris MP89 alignment error
- Fix: PKP ET41 power (issue #6934)
- Fix: Small readme fix, this is 2cc Trains in NML, not Dutch Trains for OpenTTD
- Fix: SNCF 140C lengths were wrong
- Fix: Typo in the Transrapid name (thanks to RBC for noticing)
- Fix: UP 4000 'Big Boy' power
- Merge: Online repo with local branch
- Merge: Translation update from repo
- Merge: Translations from eints
- Merge: Translations from repo (again)
- Merge: Translations update from repo
- Release: 1.0-beta1
- Set up repo
- Update: .hgignore file still contained some references to the Dutch Trainset
- Update: Alignments in master language file
- Update: Compile .bat
- Update: Dutch translation
- Update: Makefile and findversion.sh to allow compilation on Windows computers (with the proper software installed)
- Update: Minimum compatible version, as recent changes broke compatibility
- Update: Small change in parameter descriptions
- Update: Some more cost balancing in preparation of Engine and MU inclusion
- Update: Translations from webtranslator